using Microsoft.Extensions.Logging;
using SteUp.Maui.Core.UtilityException;

namespace SteUp.Maui
{
    public partial class App
    {
        public App(ILogger<App> logger)
        {
            InitializeComponent();
            GlobalExceptionHandler.Register(logger);
        }

        protected override Window CreateWindow(IActivationState? activationState)
        {
            return new Window(new MainPage());
        }
    }
}
